Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Interface SidGetResponding

All Known Implementing Classes:
  Account, Contact, ContactGroup, ContactSearch, Conversation, Message, Participant, SidObject, Sms, Transfer, Video, Voicemail

    public interface SidGetResponding

Method Summary
`byte[]` | `sidGetBinaryProperty(PropertyEnumConverting property)`
`boolean` | `sidGetBoolProperty(PropertyEnumConverting property)`
`EnumConverting` | `sidGetEnumProperty(PropertyEnumConverting property)`
`java.lang.String` | `sidGetFilenameProperty(PropertyEnumConverting property)`
`int` | `sidGetIntProperty(PropertyEnumConverting property)`
`long` | `sidGetLongProperty(PropertyEnumConverting property)`
`SidObject` | `sidGetObject()`
`SidObject` | `sidGetObjectProperty(PropertyEnumConverting property)`
`java.lang.String` | `sidGetStringProperty(PropertyEnumConverting property)`
`int` | `sidGetUintProperty(PropertyEnumConverting property)`
`java.lang.String` | `sidGetXmlProperty(PropertyEnumConverting property)`
`void` | `sidSetProperty(PropertyEnumConverting property, byte[] value)`
`void` | `sidSetProperty(PropertyEnumConverting property, int value)`
`void` | `sidSetProperty(PropertyEnumConverting property, long value)`
`void` | `sidSetProperty(PropertyEnumConverting property, SidObject value)`
`void` | `sidSetProperty(PropertyEnumConverting property, java.lang.String value)`

Method Detail

### sidGetObject

    SidObject sidGetObject()

### sidGetStringProperty

    java.lang.String sidGetStringProperty(PropertyEnumConverting property)

### sidGetXmlProperty

    java.lang.String sidGetXmlProperty(PropertyEnumConverting property)

### sidGetFilenameProperty

    java.lang.String sidGetFilenameProperty(PropertyEnumConverting property)

### sidGetBoolProperty

    boolean sidGetBoolProperty(PropertyEnumConverting property)

### sidGetIntProperty

    int sidGetIntProperty(PropertyEnumConverting property)

### sidGetUintProperty

    int sidGetUintProperty(PropertyEnumConverting property)

### sidGetLongProperty

    long sidGetLongProperty(PropertyEnumConverting property)

### sidGetObjectProperty

    SidObject sidGetObjectProperty(PropertyEnumConverting property)

### sidGetEnumProperty

    EnumConverting sidGetEnumProperty(PropertyEnumConverting property)

### sidGetBinaryProperty

    byte[] sidGetBinaryProperty(PropertyEnumConverting property)

### sidSetProperty

    void sidSetProperty(PropertyEnumConverting property,
                        SidObject value)

### sidSetProperty

    void sidSetProperty(PropertyEnumConverting property,
                        int value)

### sidSetProperty

    void sidSetProperty(PropertyEnumConverting property,
                        java.lang.String value)

### sidSetProperty

    void sidSetProperty(PropertyEnumConverting property,
                        byte[] value)

### sidSetProperty

    void sidSetProperty(PropertyEnumConverting property,
                        long value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.